Get Single
Get Single Asset Markets
Retrieve markets data for a specific asset
GET
/
v1
/
assets
/
{idOrSlug}
/
markets
Get Asset Markets
curl --request GET \
--url https://api.blockworks.com/v1/assets/{idOrSlug}/markets \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockworks.com/v1/assets/{idOrSlug}/markets"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockworks.com/v1/assets/{idOrSlug}/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"volume_24h": 44573500000,
"ath": 4946.05,
"ath_change_percentage": -21.2222,
"ath_date": 1756063263,
"total_open_interest": 1707980000,
"total_liquidations": 0,
"updated_at": 1760639807,
"asset_code": "ETH",
"asset_slug": "ethereum"
}Overview
Get the current markets information for a specific asset. This endpoint returns just the markets data block withasset_code and asset_slug included.
Example Request
curl -H "x-api-key: YOUR_API_KEY" \
"https://api.blockworks.com/v1/assets/ethereum/markets"
const res = await fetch(
'https://api.blockworks.com/v1/assets/ethereum/markets',
{ headers: { 'x-api-key': 'YOUR_API_KEY' } }
)
const data = await res.json()
import requests
r = requests.get(
'https://api.blockworks.com/v1/assets/ethereum/markets',
headers={'x-api-key': 'YOUR_API_KEY'}
)
data = r.json()
Example Response
{
"volume_24h": 44573500000,
"ath": 4946.05,
"ath_change_percentage": -21.2222,
"ath_date": 1756063263,
"total_open_interest": 1707980000,
"total_liquidations": 0,
"updated_at": 1760639807,
"asset_code": "ETH",
"asset_slug": "ethereum"
}
Response Fields
| Field | Type | Description |
|---|---|---|
id | number | Unique market identifier |
volume_24h | number | Trading volume in the last 24 hours |
ath | number | All-time high price |
ath_change_percentage | number | Percentage change from all-time high |
ath_date | number | Unix timestamp when all-time high was reached |
total_open_interest | number | null | Total open interest |
total_liquidations | number | null | Total liquidations |
updated_at | number | Unix timestamp when market data was last updated |
asset_code | string | Asset code (e.g., “ETH”) |
asset_slug | string | Asset slug (e.g., “ethereum”) |
Notes
- This endpoint is equivalent to using
?expand=marketson the/v1/assets/{idOrSlug}endpoint, but returns only the markets data. - The response includes
asset_codeandasset_slugfor easy identification.
See also
Authorizations
Path Parameters
Response
Markets data for the specified asset
Unix timestamp
Unix timestamp
Maximum string length:
20Maximum string length:
100